//-------------------------------------------------------------------------*
// 工 程 名: OutCompare                                                    *
// 硬件连接: (1)PTD.0接指示灯                                              *
//           (2)定时器1通道0(PTE2引脚)与小灯相连                           *
// 程序描述:                                                               *
//         当计数寄存器的值与通道寄存器的值相等时，定时器1通道0(PTE2引脚)*
//           电平翻转                                                      *
// 目    的: 无                                                            *
// 说    明: 本例是将定时器1通道0设为"输出电平翻转"                        *
//----------------苏州大学飞思卡尔嵌入式系统研发中心2011年-----------------*

//总头文件
#include "Includes.h"

//在此添加全局变量定义

void main(void)
{
    //1 主程序使用的变量定义
    uint32 mRuncount=0;                     //运行计数器
    //2 关总中断
    DisableInterrupt();                     //禁止总中断
    //3 芯片初始化
    MCUInit();
    //4 模块初始化
    Light_Init(Light_Run_PORT,Light_Run,Light_OFF);//指示灯初始化
  	TPMChInit(TPM_NUM_1,TPM1_CH_0,0x7A12);  //定时器1通道0初始化,比较周期1s
    //5 开放中断
    EnableTPM1ChInt(TPM1_CH_0);             //允许定时器1通道0的输出比较中断
    EnableInterrupt();                      //开放总中断
    //主循环                                                                                                              
    while (1)                      
    {
        //1 主循环计数到一定的值，使小灯的亮、暗状态切换
        mRuncount++;
        if (mRuncount>=20000) 
        {
          mRuncount=0;
          Light_Change(Light_Run_PORT,Light_Run);//指示灯的亮、暗状态切换
        }
    }
}
